Debian Bug report logs - #423025
console-tools: init.d/console-screen.sh kills usplash during boot

version graph

Package: console-tools; Maintainer for console-tools is Alastair McKinstry <mckinstry@debian.org>; Source for console-tools is src:console-tools.

Reported by: Petter Reinholdtsen <pere@hungry.com>

Date: Wed, 9 May 2007 14:15:01 UTC

Severity: important

Tags: patch

Found in versions console-tools/1:0.2.3dbs-66, console-tools/1:0.2.3dbs-65

Fixed in version console-tools/1:0.2.3dbs-67

Done: Alastair McKinstry <mckinstry@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#423025; Package console-tools. Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
New Bug report received and forwarded. Copy sent to Alastair McKinstry <mckinstry@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: submit@bugs.debian.org
Subject: console-tools: init.d/console-screen.sh kills usplash during boot
Date: Wed, 09 May 2007 16:14:36 +0200
Package:  console-tools
Version:  1:0.2.3dbs-65
Severity: important
Tags:     patch

When booting with usplash, the usplash process terminates too early
when the init.d/console-screen.sh is executed.  The reason seem to be
the console font loading.  I found code in the Ubuntu version of
console-setup indicating this, and the patch I propose here confirmed
that it was indeed the font handling that was the problem.

Please apply this patch to avoid killing usplash during boot.  I've
tested it in Etch with usplash version 0.3e.

 * Rewrite init.d script to not change console font while usplash is
   running, to avoid usplash exiting partly through the boot.

--- console-tools-0.2.3dbs.orig/debian/console-screen.sh
+++ console-tools-0.2.3dbs/debian/console-screen.sh
@@ -63,7 +63,7 @@
        fi
 }

-setup ()
+setup_fonts ()
 {
     # be sure the main program is installed
     [ -x "${SETFONT}" ] || return 0
@@ -136,7 +136,9 @@
        done
        [ "$VERBOSE" != "no" ] && log_action_end_msg 0
     fi
+}

+setup_keymaps() {

     # Global ACM
     [ "${APP_CHARSET_MAP}" ] && ${CHARSET} G0 ${APP_CHARSET_MAP}
@@ -169,7 +171,9 @@
     else
         unicode_stop 2> /dev/null|| true
     fi
+}

+setup_screensaver() {
     # screensaver stuff
     setterm_args=""
     if [ "$BLANK_TIME" ]; then
@@ -184,7 +188,9 @@
     if [ "$setterm_args" ]; then
         setterm $setterm_args
     fi
+}

+setup_keyboard() {
     # Keyboard rate and delay
     KBDRATE_ARGS=""
     if [ -n "$KEYBOARD_RATE" ]; then
@@ -221,10 +227,24 @@
     fi
 }

+setup_all() {
+}
+
 case "$1" in
     start|reload|restart|force-reload)
-       log_action_msg "Setting console screen modes and fonts"
-       setup
+       # Changing the fonts make usplash exit.  Avoid this.
+       if pidof usplash ; then
+           log_action_msg "Setting console screen modes"
+            setup_keymaps
+            setup_screensaver
+            setup_keyboard
+       else
+           log_action_msg "Setting console screen modes and fonts"
+            setup_fonts
+            setup_keymaps
+            setup_screensaver
+            setup_keyboard
+       fi
        ;;
     stop)
        ;;



Information forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#423025; Package console-tools. Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Alastair McKinstry <mckinstry@debian.org>. Full text and rfc822 format available.

Message #10 received at 423025@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 423025@bugs.debian.org
Subject: Re: console-tools: init.d/console-screen.sh kills usplash during boot
Date: Thu, 10 May 2007 09:52:17 +0200
Here is an updated patch, without the bogus setup_all() function.

--- console-tools-0.2.3dbs.orig/debian/console-screen.sh
+++ console-tools-0.2.3dbs/debian/console-screen.sh
@@ -63,7 +63,7 @@
        fi
 }

-setup ()
+setup_fonts ()
 {
     # be sure the main program is installed
     [ -x "${SETFONT}" ] || return 0
@@ -136,7 +136,9 @@
        done
        [ "$VERBOSE" != "no" ] && log_action_end_msg 0
     fi
+}

+setup_keymaps() {

     # Global ACM
     [ "${APP_CHARSET_MAP}" ] && ${CHARSET} G0 ${APP_CHARSET_MAP}
@@ -169,7 +171,9 @@
     else
         unicode_stop 2> /dev/null|| true
     fi
+}

+setup_screensaver() {
     # screensaver stuff
     setterm_args=""
     if [ "$BLANK_TIME" ]; then
@@ -184,7 +188,9 @@
     if [ "$setterm_args" ]; then
         setterm $setterm_args
     fi
+}

+setup_keyboard() {
     # Keyboard rate and delay
     KBDRATE_ARGS=""
     if [ -n "$KEYBOARD_RATE" ]; then
@@ -223,8 +229,19 @@

 case "$1" in
     start|reload|restart|force-reload)
-       log_action_msg "Setting console screen modes and fonts"
-       setup
+       # Changing the fonts make usplash exit.  Avoid this.
+       if pidof usplash ; then
+           log_action_msg "Setting console screen modes"
+            setup_keymaps
+            setup_screensaver
+            setup_keyboard
+       else
+           log_action_msg "Setting console screen modes and fonts"
+            setup_fonts
+            setup_keymaps
+            setup_screensaver
+            setup_keyboard
+       fi
        ;;
     stop)
        ;;



Information forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#423025; Package console-tools. Full text and rfc822 format available.

Acknowledgement sent to David Härdeman <david@hardeman.nu>:
Extra info received and forwarded to list. Copy sent to Alastair McKinstry <mckinstry@debian.org>. Full text and rfc822 format available.

Message #15 received at 423025@bugs.debian.org (full text, mbox):

From: David Härdeman <david@hardeman.nu>
To: 423025@bugs.debian.org
Cc: 423025-submitter@bugs.debian.org
Subject: #423025 and #423095 seem to have something in common
Date: Thu, 10 May 2007 16:09:40 +0200 (CEST)
Petter Reinholdtsen wrote:
>+       # Changing the fonts make usplash exit.  Avoid this.
>+       if pidof usplash ; then

Maybe it would be a good idea to extend the script from #423095 further
and add a splash_active() function?

-- 
David Härdeman




Message sent on to Petter Reinholdtsen <pere@hungry.com>:
Bug#423025. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#423025; Package console-tools. Full text and rfc822 format available.

Acknowledgement sent to David Härdeman <david@hardeman.nu>:
Extra info received and forwarded to list. Copy sent to Alastair McKinstry <mckinstry@debian.org>. Full text and rfc822 format available.

Message #23 received at 423025@bugs.debian.org (full text, mbox):

From: David Härdeman <david@hardeman.nu>
To: 423025@bugs.debian.org
Cc: 423025-submitter@bugs.debian.org
Subject: Re: #423025 and #423095 seem to have something in common
Date: Fri, 11 May 2007 10:44:50 +0200 (CEST)
On Thu, May 10, 2007 16:09, David Härdeman said:
> Petter Reinholdtsen wrote:
>>+       # Changing the fonts make usplash exit.  Avoid this.
>>+       if pidof usplash ; then
>
> Maybe it would be a good idea to extend the script from #423095 further
> and add a splash_active() function?

Actually, after looking at it again recent usplash versions already hook
into console-tools and kbd-tools using two files:

/etc/console-tools/config.d/usplash
/etc/kbd/config.d/usplash

So I think this bug can be closed?

-- 
David Härdeman




Message sent on to Petter Reinholdtsen <pere@hungry.com>:
Bug#423025. Full text and rfc822 format available.

Bug Marked as found in versions console-tools/1:0.2.3dbs-66. Request was from Ben Finney <ben+debian@benfinney.id.au> to control@bugs.debian.org. (Thu, 19 Nov 2009 22:12:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#423025; Package console-tools. (Thu, 19 Nov 2009 22:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Finney <ben+debian@benfinney.id.au>:
Extra info received and forwarded to list. Copy sent to Alastair McKinstry <mckinstry@debian.org>. (Thu, 19 Nov 2009 22:18:05 GMT) Full text and rfc822 format available.

Message #33 received at 423025@bugs.debian.org (full text, mbox):

From: Ben Finney <ben+debian@benfinney.id.au>
To: Petter Reinholdtsen <pere@hungry.com>, David Härdeman <david@hardeman.nu>
Cc: control@bugs.debian.org, 423025@bugs.debian.org
Subject: Bug#423025: console-tools: init.d/console-screen.sh kills usplash during boot
Date: Fri, 20 Nov 2009 09:08:58 +1100
[Message part 1 (text/plain, inline)]
package console-tools
found 423025 1:0.2.3dbs-66
thanks

On 09-May-2007, Petter Reinholdtsen wrote:
> When booting with usplash, the usplash process terminates too early
> when the init.d/console-screen.sh is executed.  The reason seem to
> be the console font loading.

I also experience the same with the latest ‘console-tools’ and
‘usplash’.


On 11-May-2007, David Härdeman wrote:
> Actually, after looking at it again recent usplash versions already
> hook into console-tools and kbd-tools using two files:
> 
> /etc/console-tools/config.d/usplash
> /etc/kbd/config.d/usplash

I don't have either of those two. I have ‘usplash’ version 0.5.19-3 on
this machine.

-- 
 \      “If you fell down yesterday, stand up today.” —_The Anatomy of |
  `\                                   Frustration_, H. G. Wells, 1936 |
_o__)                                                                  |
Ben Finney <ben@benfinney.id.au>
[signature.asc (application/pgp-signature, inline)]

Reply sent to Alastair McKinstry <mckinstry@debian.org>:
You have taken responsibility. (Sun, 03 Jan 2010 19:21:16 GMT) Full text and rfc822 format available.

Notification sent to Petter Reinholdtsen <pere@hungry.com>:
Bug acknowledged by developer. (Sun, 03 Jan 2010 19:21:16 GMT) Full text and rfc822 format available.

Message #38 received at 423025-close@bugs.debian.org (full text, mbox):

From: Alastair McKinstry <mckinstry@debian.org>
To: 423025-close@bugs.debian.org
Subject: Bug#423025: fixed in console-tools 1:0.2.3dbs-67
Date: Sun, 03 Jan 2010 19:17:11 +0000
Source: console-tools
Source-Version: 1:0.2.3dbs-67

We believe that the bug you reported is fixed in the latest version of
console-tools, which is due to be installed in the Debian FTP archive:

console-tools-dev_0.2.3dbs-67_i386.deb
  to main/c/console-tools/console-tools-dev_0.2.3dbs-67_i386.deb
console-tools_0.2.3dbs-67.dsc
  to main/c/console-tools/console-tools_0.2.3dbs-67.dsc
console-tools_0.2.3dbs-67.tar.gz
  to main/c/console-tools/console-tools_0.2.3dbs-67.tar.gz
console-tools_0.2.3dbs-67_i386.deb
  to main/c/console-tools/console-tools_0.2.3dbs-67_i386.deb
kbd-compat_0.2.3dbs-67_all.deb
  to main/c/console-tools/kbd-compat_0.2.3dbs-67_all.deb
libconsole_0.2.3dbs-67_i386.deb
  to main/c/console-tools/libconsole_0.2.3dbs-67_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 423025@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alastair McKinstry <mckinstry@debian.org> (supplier of updated console-tools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 19 Dec 2009 18:46:44 +0000
Source: console-tools
Binary: console-tools libconsole console-tools-dev kbd-compat
Architecture: source all i386
Version: 1:0.2.3dbs-67
Distribution: unstable
Urgency: low
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Changed-By: Alastair McKinstry <mckinstry@debian.org>
Description: 
 console-tools - Linux console and font utilities
 console-tools-dev - Development files for Linux console and font manipulation
 kbd-compat - Wrappers around console-tools for backward compatibility with `kb
 libconsole - Shared libraries for Linux console and font manipulation
Closes: 423025 552011
Changes: 
 console-tools (1:0.2.3dbs-67) unstable; urgency=low
 .
   * Patch from kbd by Martin Shutte sets default_utf8
      in consoles. Closes: #552011.
   * Added 'set -e' to console-screen.sh
   * Patch from Petter Reinholdsen to stop usplash being killed.
     Closes: #423025.
Checksums-Sha1: 
 66d47743ac03d1c14c7b7a7cd64a76d66a400dea 868 console-tools_0.2.3dbs-67.dsc
 093653da54b8a64002b9f27ac949b7d3451c437b 1516844 console-tools_0.2.3dbs-67.tar.gz
 3fe923c331581b5e89c31cb9b6b21e403aced100 45852 kbd-compat_0.2.3dbs-67_all.deb
 408e03f7b40d091a31847ac70409d3323fe3c376 302980 console-tools_0.2.3dbs-67_i386.deb
 dff7f646eb3e70104cbebfd9be912a678ff4fbc5 145676 libconsole_0.2.3dbs-67_i386.deb
 ecefc08c63c083dc17e38d9c1080c60391ef85de 86510 console-tools-dev_0.2.3dbs-67_i386.deb
Checksums-Sha256: 
 e242af88b23137cd2d25d9f8b887093be526ae76954860438b9aebbdefcaec0c 868 console-tools_0.2.3dbs-67.dsc
 58156f31e790b9a606125a0dd1f69e9e8a0c14a90ed02a5ccedc90b797d88370 1516844 console-tools_0.2.3dbs-67.tar.gz
 0dac22d4082950b2509307dc65cdf78ace4b7c86c30ffcdf49488b04e39c6713 45852 kbd-compat_0.2.3dbs-67_all.deb
 5fa9652d544cd499df2bbed0e2ed786d1e6256174effb481148c318ff227a0ad 302980 console-tools_0.2.3dbs-67_i386.deb
 1442775eb2e95f5cb9b86549094ab8f16fef14fb6d96bbe9332021126d214e35 145676 libconsole_0.2.3dbs-67_i386.deb
 ba00a73d2b3838f217748fed14cf15111c4d3a87b844ddb61ebcb371ebdbeda7 86510 console-tools-dev_0.2.3dbs-67_i386.deb
Files: 
 70a8a292adb32893458e9028a6d2d3b2 868 utils optional console-tools_0.2.3dbs-67.dsc
 1209a833b26df85e5ac0e04af612be8d 1516844 utils optional console-tools_0.2.3dbs-67.tar.gz
 432da6898fe0c1c80d1f2969c7f08267 45852 utils optional kbd-compat_0.2.3dbs-67_all.deb
 15cdcea02704b211f1296114b81d01e0 302980 utils optional console-tools_0.2.3dbs-67_i386.deb
 5d3afc3a5baa016635dad7375e7da793 145676 libs important libconsole_0.2.3dbs-67_i386.deb
 626e379bbd5bb8be69311db33a17b59b 86510 devel optional console-tools-dev_0.2.3dbs-67_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFLLSuAQTK/kCo4XFcRAtJTAJwKvwFKOg9CAywHDfNV7gLn5Dq1iwCfSDe/
UayGrayJnmia/Xwmw8L7jVo=
=tnQz
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 03 Feb 2010 07:32:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 19:27:02 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.